# Marimbatron
## the why
I'm a drummer. But unlike lots of other drummers, I like melody and harmonies as well. So as a teenager I learned myself to play chords on the guitar. I can also play the clarinet and saxophone. I tried hard to learn to play piano as well. And the marimba/xylophone. But those black and white keys, the penny has not dropped yet. I just don't "see" it. Maybe a different key layout will work?

## marimbatron

Meet the Marimbatron. 

![](assets/04_ideation-20240207000542177.jpg)

An electronic melodic instrument that you play with sticks. Kind of a digital marimba but with a key layout created for a Concertina or Bandoneon (a specific type of Accordion, well known in Argentina and after the wedding of King Willem-Alexander and Máxima in the Netherlands as well).    
![sm](assets/2024-01-28-peacock-concertina.jpg)  
*a peacock concertina. Picture from  [https://www.concertinaconnection.com/peacock.htm](https://www.concertinaconnection.com/peacock.htm) *

Why this layout you might ask? Well, this layout has some nice musical features that I'd like to explore.  

## different key layouts  
I own a Novation Launchpad. This is a 8x8 matrix midi controller.  
![sm](assets/2024-01-21-novationLaunchpadMKII.jpg)  
In instrument mode, the key layout is called isomorphic which means that musical intervals always have the same shape, allowing the player to use the same patterns and fingering in different keys.: [https://en.wikipedia.org/wiki/Isomorphic_keyboard](https://en.wikipedia.org/wiki/Isomorphic_keyboard)  
This is really different from piano, where the musical intervals between notes vary and because of that all chords have different shapes.  
Isomorphic keyboard can be created in different ways. Novation Launchpad and Ableton push in  chromatic mode use this layout:
![](assets/2024-01-21-abletonPushChromaticLayout.jpg)  
There's also a diatonic 4th "in-scale" mode, where not all notes are available. Just the ones that are in the selected scale. So you can never play out of tune. But you can also never play jazz...  
![](assets/2024-01-21-abletonPushInScale.jpg)

## Wicki Hayden key layout
While isomorphic key layouts have big advantages over a piano layout, I don't think this strict in-line grid outline will play well with sticks. I read about another isomorphic key layout which is called [Wicki-Hayden](https://en.wikipedia.org/wiki/Wicki%E2%80%93Hayden_note_layout). This caught my attention because it's still grid based, but the rows are staggered.  
![](assets/2024-01-21-wickiHayden.jpg)  
This specific key layout is initially conceived by Kaspar Wicky in 1896 for the bandoneon.  
The advantages:

- Commonly played notes (in Western music) are close together, making it easier to strike with a stick (less stick travel means more precision).
- Stick patterns are consistent throughout scales.
- "Black keys" are split into two groups: a "flat" section to the left and a "sharp" section to the right.
- When accidentally a neighboring note is hit it sounds consonant (doing this on a piano will always sound dissonant). When playing with sticks there's no contact of fingers to the keys, so hitting the right keys is all about getting the distance between notes in muscle memory and a proper eye-to-hand coordination. but bad hits happen, so better make them sound OK.  
