# ideation

![](assets/2024-01-28-ideation-sketch.jpg)

This is my first sketch of the Marimbatron. I can't sketch, but I try :-) I will become better because of Fabacademy.  
So this is a 9/10 x9 staggered grid. At the front, there are a few buttons for example for quick selection,  rotary knob(s) for menu actions and a display to show state information.  
At the back there are inputs and outputs: power, USB, sustain pedal, multifunctional pedal, USB host to connect other midi controllers to the marimbatron.   
  
I converted this in Fusion360, at first without the control section:  
![sm](assets/2024-01-22-ideation-firstDesign.jpg)

And a design idea:  
![sm](assets/04_ideation-20240207000542177.jpg)

And in Computer aided design week I made this impression:  
![](assets/AI-marimbatron.jpg)  

From an electronics point of view I think I will make:

- a mainboard with the microcontroller, some pushbuttons, an LCD / OLED and maybe a rotary knob.  
- sensor boards where a series of sensors connect to using flatcables. The sensor board is attached to the mainboard to create a modular and maybe expandable system. I think I will use multiplexers to drive the RGB LEDs and read the sensors. Perhaps they can communicate to the mainboard over I2C.
- Pressure sensors. They will have to be (semi-)flexible, but not too bouncy because I want them to be quite close to a real marimba-key (made of wood). It has to be flexible to absorb some energy because you should be able to play "silently". The sensor technology could be:
    - Resistive (velostat?)
    - Capacitive
    - Piezo-electric
    