# markdown cheatsheet
This cheatsheet is me starting to learn markdown. So here we go.

# headings
```
# Heading 1 (yes include the space after the #)
## H2
### H3
#### H4
##### H5
###### H6
```

# styling
```
*to make text italic*
**to make text bold**
~~strikethrough~~
```

# paragraph and linebreaks
```
just an empty line in between lines.

That will make a paragraph.
If you intentionally want to break the line<br>
you can use either two whitespaces and a return. Or add the html <br>
Not sure if this is really needed because Obsidian Notes will take returns as well. That doesn't mean it's properly rendered on git...
```

# lists
```
Unordered list:

* something
* another thing
	* indented thing
* and some more
or
- something
- another thing

ordered list:
1. one
2. two
	1. indented two.one
3. three

Indent one or more items to create a nested list.
Make sure to add a blank line in front of a list!
```


Unordered list:

* something
* another thing
* indented thing
* and some more
or
- something
- another thing

ordered list:

1. one
2. two
   1. indented two.one
3. three


1. first
2. second
   1. A
   2. B
3. third


# checkboxes & todo
```
- [ ] creates a checkbox
- [ ] TODO creates a todo checkbox that can be consolidated with Wrangler TODO
```

# hyperlinks
```
Any hyperlink (i.e. http:// or https://) will be automatically converted to a hyperlink.
[name of the link](http://hyperlink) If you want to give it a name.
```

# blockquotes
```
> This is a quote in a block
```

# codeblocks
```
Codeblocks are between 3 backticks ```
Code inline with text is between 1 backtick `
```

# images
```
![image name](image.png)
Sizing image by adding a | and size. like this
![image name](image.png)

```
# escape characters
```
Escape a markdown character by \
For example \* or \#
This means that you actually want to have this character literally, not the markdown meaning of this character.
```

# references
Got most of this info from using the searchbar of fabacademy.org. This got me to:  
https://fabacademy.org/2018/labs/fablabat3flo/students/mat-bgn/wiki/mdrest.html  
and the markdown guide obvisously: https://www.markdownguide.org/basic-syntax/

