#include <Adafruit_NeoPixel.h>
#define PIN 5
#define NUMPIXELS 1
#define LED 9
Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);
#define STARTLEDDELAY 100
#define NEOPIXELDELAY 500

void setup() {
  pinMode(LED, OUTPUT);
  pixels.begin();
  digitalWrite(LED, HIGH); // turn LED on
  delay(STARTLEDDELAY); // wait
  pixels.clear();
  pixels.setBrightness(50); // Set BRIGHTNESS to about 1/5 (max = 255)
  digitalWrite(LED, LOW); // turn LED off
  delay(STARTLEDDELAY); // wait
}

void loop() {
  digitalWrite(LED, HIGH); // turn LED on
  pixels.setPixelColor(0, pixels.Color(255, 0, 0));
  pixels.show();
  delay(NEOPIXELDELAY);
  pixels.setPixelColor(0, pixels.Color(0, 255, 0));
  pixels.show();

  digitalWrite(LED, LOW); // turn LED off
  delay(NEOPIXELDELAY);
  pixels.setPixelColor(0, pixels.Color(0, 0, 255));
  pixels.show();
  delay(NEOPIXELDELAY);
  pixels.setPixelColor(0, pixels.Color(0, 0, 0));
  pixels.show();
  delay(NEOPIXELDELAY);
}
