#include "LCD_SPI_driver.h"
// #include "LCD_driver.h"
#include "GUI_Paint.h"
//  //#include "image.h"

void setup()
{
	digitalWrite ( MY_SS, LOW );

  Config_Init();
  LCD_Init();
  LCD_SetBacklight(1000);
  Paint_NewImage(LCD_WIDTH, LCD_HEIGHT, 0, BLACK); // init the image cache memory
}

// void loop() // test loop to check if SPI works by sending a hello string
// {
//   Start_SPI();
// 	// LED on (wake up slave indicator)
// 	digitalWrite ( MY_SS, HIGH );
// 	delay(10);
// 	// Exchange data
//   const char *MASTER_MESSAGE = "*-- Hello SPI! --*";
//   const int MASTER_MESSAGE_LEN = 20;

// 	for ( uint16_t count = 0; count < MASTER_MESSAGE_LEN; count++ )
// 	{
// 		MY_SERCOM.transferDataSPI(MASTER_MESSAGE[count]);
// 		delay(1);
// 	}
	
// 	// Turn off SPI
// 	MY_SERCOM.resetSPI();
	
// 	// Tell slave to rest
// 	// LED off (sleep slave indicator)
// 	digitalWrite(MY_SS, LOW);

//   delay(1000);  
// }

void loop()
{
	// LED on (wake up slave indicator)
	digitalWrite ( MY_SS, HIGH );
	delay(50);
	// Draw on the LCD
  Paint_Clear(BLACK);
  Paint_DrawCircle(120,120, 120, BLUE ,DOT_PIXEL_2X2,DRAW_FILL_EMPTY);
  Paint_DrawLine  (120, 0, 120, 12,GREEN ,DOT_PIXEL_4X4,LINE_STYLE_SOLID);
  Paint_DrawLine  (120, 228, 120, 240,GREEN ,DOT_PIXEL_4X4,LINE_STYLE_SOLID);
  Paint_DrawLine  (0, 120, 12, 120,GREEN ,DOT_PIXEL_4X4,LINE_STYLE_SOLID);
  Paint_DrawLine  (228, 120, 240, 120,GREEN ,DOT_PIXEL_4X4,LINE_STYLE_SOLID);
// //  Paint_DrawImage(gImage_70X70, 85, 25, 70, 70); 
  Paint_DrawLine  (120, 120, 70, 70,YELLOW ,DOT_PIXEL_3X3,LINE_STYLE_SOLID);
  Paint_DrawLine  (120, 120, 176, 64,BLUE ,DOT_PIXEL_3X3,LINE_STYLE_SOLID);
  Paint_DrawLine  (120, 120, 120, 210,RED ,DOT_PIXEL_2X2,LINE_STYLE_SOLID); 

	// Tell slave to rest
	// LED off (sleep slave indicator)
	digitalWrite(MY_SS, LOW);
  delay(1000);  
}