# planning final project
from January 31th, we have 18 weeks left to the presentations.  
My final project consists of 3 major parts: Mechanical engineering, Electronical engineering and Programming. As I don't know yet how the design will look like, its best not to be too specific yet. I do think however that the electronical and programming part will be a bit more work than the mechanical part.  

| Electronical | (7 wks) |
| --- | --- |
| Sensor development | 3 wk |
| Main board PCB | 1.5 wk |
| Sub board PCB | 1.5 wk |
|  |  |

| Mechanical | (4 wks) |
| --- | --- |
| design | 3 wk |
| production | 2 wk |

| Programming | (4 wks) |
| --- | --- |
| sensor readout & calibration  | 1 wk |
| sensor matrix | 1 wk |
| RGB LED | 1 wk |
| MIDI output | 1 wk |


| week | date    | weekly subject                                     | FP tasks                          |     |
| ---- | ------- | -------------------------------------------------- | --------------------------------- | --- |
| 1    | Jan 31  | computer-aided design                              | E: sensor dev Resistive           |     |
| 2    | Feb 07  | computer-controlled cutting                        | E: sensor dev Resistive           |     |
| 3    | Feb 14  | electronics production                             | M: Mechanical design 1            |     |
| 4    | Feb 21  | 3D scanning and printing                           | E: sensor dev piezo electric<br>  |     |
| 5    | Feb 28  | embedded programming                               | M: Mechanical design 1            |     |
| 6    | Mar 06  | computer-controlled machining                      | M: Mechanical production 1        |     |
| 7    | Mar 13  | electronics design                                 | E: Main board PCB                 |     |
| 8    | Mar 20  | output devices                                     | P: Sensor readout & calibration   |     |
| 9    | Mar 27  | mechanical design, machine design                  | E: Sub board PCB                  |     |
| 10   | Apr 03  | break, midterm review                              | P: sensor matrix                  |     |
| 11   | Apr 10  | input devices                                      | E: Main board PCB & sub board PCB |     |
| 12   | Apr 17  | molding and casting                                | EXTRA TIME                        |     |
| 13   | Apr 24  | networking and communications                      | P: RGB LED                        |     |
| 14   | May 01  | interface and application programming              | P: MIDI output                    |     |
| 15   | May 08  | wildcard week                                      | M: mechanical design 2            |     |
| 16   | May 15  | applications and implications, project development | M: mechanical production 2        |     |
| 17   | May 22  | System integration                                 | EXTRA TIME                        |     |
| 18   | May 29  | invention, intellectual property, and income       | EXTRA TIME                        |     |
|      | Jun 05- | project presentations (5, 7, 10, 12)               | -                                 |     |

## todo

- [x] design power section of main PCB -> check power connector, use 1A 3.3V voltage regulators
- [x] mill main PCB + solder
- [x] check programming WS2812B without disabling interrupt (DMA?)
- [x] design and mill PCB for 4 buttons and round LCD (UI fixture)
- [x] Change sensor fixture design -> pcb entrance area -> 32x3mm rectangle & mounting holes
- [x] lasercut and glue sensor fixture 4pcs
- [x] design and lasercut bottom plate where all fixtures will be mounted on
- [x] design, lasercut and glue UI fixture
- [x] design, lasercut and glue controller fixture
- [x] Cast sensor tops and bottoms 80 pcs each
- [x] create more carbon coated circles 80 pcs
- [x] desolder and resolder flex PCB connectors
- [x] order sensor PCBs ~ 5 pcs after WS2812B is ok
- [x] solder more sensor PCBs
- [x] think about what material can be used as top sheet and source it, design and lasercut (?) holes and shape in it
- [x] shape top sheet
- [x] sand sensorholders
- [ ] create backside of topsheet
- [ ] CNC mill wooden side pieces
- [ ] WIRE it up, PROGRAM and TEST

