# prior works
Lots of (MIDI) controllers are out there, both commercially as well as open source.  
This list and images are the ones I feel have interesting aspects and are an inspiration.

| Ableton Push<br>![](assets/2024-01-21-abletonPush.jpg) | Novation Launchpad MKII<br>![](assets/2024-01-21-novationLaunchpadMKII.jpg) |
| ---- | ---- |
| Pearl Malletstation<br>![](assets/2024-01-21-pearlMalletStation.jpg)<br> | MalletKAT<br>![](assets/2024-01-21-malletKAT.jpg)<br> |
| Roger Linn Design Linnstrument<br>![](assets/2024-01-21-rogerLinnDesignLinnstrument.jpg) | Roland SPD-X<br><br>![](assets/2024-01-21-roland-SPD-SX-PRO.jpg) |
| [Hexboard midi controller](https://shapingthesilence.com/tech/hexboard-midi-controller/)<br>![](assets/2024-01-21-Hexboard.jpg) | [Melodicade MX](https://www.koopinstruments.com/instrument-projects/melodicade-mx)<br>![](assets/2024-01-21-melodicadeMX.jpg) |
| [Striso](https://www.striso.org/)<br>![](assets/2024-01-21-striso.jpg) |  |


[https://hackaday.io/project/176712-drumidy-electronic-midi-drum-controller](https://hackaday.io/project/176712-drumidy-electronic-midi-drum-controller)  
[https://github.com/ast/keyboard](https://github.com/ast/keyboarrrd)  
[http://www.ucapps.de/](http://www.ucapps...de/)  
[https://bitbucket.org/ulph/fatar88lux/src/master/](https://bitbucket.org/ulph/fatar88lux/src/maaaster/)  
[http://wiki.midibox.org/](http://wiki.midibox.org/)  
[https://hackaday.com/2024/01/05/high-resolution-midi-controller/](https://hackaday.com/2024/01/05/high-resolution-midi-controller/)  

## Related fabacademy Final projects and other research
I searched the [fabacademy index](https://fabacademy.org/2024/) to see if there are related Final Projects made in the past that could be of interest. I found [Expressive Milling Interface by Luca Giacolini out of Toscane](https://archive.fabacademy.org/archives/2016/fablabtoscana2016/students/117/week19.html).  

Also interesting is this research of velostat arrays forming a mat: [# A Velostat-Based Pressure-Sensitive Mat for Center-of-Pressure Measurements: A Preliminary Study](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC8199542/) Martinez-Cesteros, J., Medrano-Sanchez, C., Plaza-Garcia, I., Igual-Catalan, R., & Albiol-Pérez, S. (2021). A Velostat-Based Pressure-Sensitive Mat for Center-of-Pressure Measurements: A Preliminary Study. _International Journal of Environmental Research and Public Health_, _18_(11), 5958. https://doi.org/10.3390/ijerph18115958

