# Future spirals
The following is a list of things that can be done in future spirals:  

Hardware related:

- Add working round LCD display, including menu and display of last note hit.
- Change power circuitry. Use switching power-supply technology (buck converter) instead of voltage regulators as they tend to get hot. 
- Add a power switch

Firmware related:

- Work on latency reduction. This can be a never-ending task :D
- Implement sustain pedal.
- Prevent retriggering when a pad is pressed and hold down. Or use that info as MPE (polyphonic expression).
- Implement other isomorphic key layouts (not sure how many there are and how useful they are).
- Move key layout to left and right (already implemented is octave up/down but might be interesting to move sideways as well).
- Extend communication protocol so other constants of the sensorboard firmware can be set by the main controller (like threshold offset, RGB colors of note layouts)