# lecture notes

## global review previous week
In fablab Oulu there is a [git pre-commit bash script](https://fabacademy.org/2024/labs/oulu/students/joni-rajala/assignments/week01/#setup-precommit-hooks) that checks sizes of files so you don't commit files that are too big.

- [X] TODO check git pre-commit script from fablab Oulu

## this weeks lecture
### 2D
webresolution image = tens of kB, maybe 100kB.  
JPG is compressed  
PNG is uncompressed  

mods (software) -> read image, get outline to send to lasercutter as vector.  

in vector operation, cloning is essential when lasercutting: there is a copy but that copy is still linked to the original. Changes to original will also result in the same changes in its copies.  

- [x] TODO check if this is available in illustrator. Unfortunately it's not.

### 3D
BRep = most common way to describe a 3D design. It uses boundaries.  
#### blender
Extremely good and varied Blender tutorials on YouTube. Grant Abitt & Blender Guru  
[Blender for parametric](https://academany.fabcloud.io/fabacademy/2024/bootcamp-instructors/workshops/blender/blender4FA/) during instructor bootcamp.  

#### 3D design
Loft: pull a surface shape between 2 vertices.  
sweep: pull a shape along a path to create a body.  

- [ ] TODO check folding in fusion.

Parametric design = use named variables.  
Ondsel = fork of freecad, more polished.  
openSCAD in browser = openJSSCad.  Not maintained anymore.

### Formats
STEP is a good intermediate format between 3D design software.  
mcMaster-carr -> good source for 3D models.

### video
ffmpeg can do trimming.  
GIFs are not recommended because of bad compression. ffmpeg can turn numbered images into a video so you'll get the same idea.  

### AI
3D AI tools are available: Dream Fields, Dreamfusion, Magic3D, Text-to-CAD. See Neils lecture notes.  

- [x] TODO in Neils lecture notes there is a paper on how AI LLM can help making CAD. Share with colleagues.  
