# lecture notes

## global review previous week
[https://amandaghassaei.com/apps](https://amandaghassaei.com/apps) made an [origami simulator](https://origamisimulator.org/)  
TinyML = machine learning in a micrcontroller. [this workshop was done in Bhutan](https://workshop.makergram.com/docs/tiny-ml-workshop/intro). XIAO can do image classification. [see here](https://wiki.seeedstudio.com/tinyml_course_Image_classification_project/) for a demo.  
Tutorial on [Blender Pressfitkit](https://fabacademy.org/2024/labs/skylab/Tutorials/BlenderPressFitKit/) using geometry nodes. Exporting the blender outline to SVG 3.0 is [shown here](https://www.youtube.com/watch?v=Y4iocCZf58M).

## this weeks lecture
We're going to make the [Quentorres](https://gitlab.fabcloud.org/pub/programmers/quentorres), designed by Quentin Bolsee and Adrian Torres. It uses Xiao RP2040 as processor.  
inventory is always the top link of class. For this week it's [this link](https://inventory.fabcloud.io/?purpose=Electronics%20Production)  
in lithography etching, 1 m2 circuit board consumes 1 m3 of water to make.  
reasonable priced machining for fablabs: Lunyee 3018 with DashHound BRB202 spindle. Cheap V-bits for this are the Genmitsu Nano blue coat engraving bits. The have a ceramic coating.  
1/64 can go down to 10mil trace.  
V-bits can do that as well.  


[line test traces](https://academy.cba.mit.edu/classes/electronics_production/linetest.traces.png)  
Tapered and V-bits are more rigid. But less precise. But cheaper.  
Underlay = sacrificial layer.  
Towards end of life of a tool, the edges of traces get rough. You can debur to get rid of them. Beyond tool life traces get smutched.  
Coppertape can have a conductive tape. But that's not the best conductor. When creating multilayer PCBs a good conduction between layers can be made by making a via between the layers and then reflow solder the via.  

- [ ] TODO try fiber laser to make PCB
Fiber lasers can also remove copper layer.  


Typical materials for PCB machining:  

- FR 4 -> glassfiber re-enforced. Dangerous for health.
- FR1 -> phenolic paper
- Garolite
- Kapton or epoxy film for flex pcbs

conversion of copper ounces to thicknes:  
0.5 oz: 17.5 um  
1.0 oz: 35 um  
2.0 oz: 70 um  

sharp corners is only a thing above gigahertz signals.  
for machining sharp corners don't care. When etching this could be an issue but only when pushing the boundaries of the manufacturing process.  

through hole components are obsolete unless better mechanical connection is required.  

- [ ] TODO reflow solder via
We use via rivets but is there a way to "electroplate" vias without chemicals? A way to reflow solder it maybe? --> could be something to try!

[more info on Xiao](https://wiki.seeedstudio.com/xiao_topic_page/)

if anyone wants a reason to edit the Quentorres, check the Xiao pinout (it's always the same between processors), you might need a pin function on your final project that isn't easily available. for example only 1 analog pin is free. or I2C pins that need extra components.'