# lecture notes

## this weeks lecture
### 3D Printing
[prusa material overview](https://help.prusa3d.com/materials) and another one [here](https://www.simplify3d.com/support/materials-guide/properties-table/)  
Shapeways has a [website](http://www.shapeways.com/materials) with different kind of materials and how it looks like.  

PLA is the most forgiving material but hydroscoping (absorps moisture). Getting it out will deteriorate the material.  
There are over 100 settings for any material. [Metrology](https://cba.mit.edu/events/22.08.OM/) tries to make this automated (if I understood correctly).  
PLA is supposed to be "office save". Most of all the other materials are not. You should use filters. 
Interesting research on [3d printing biomaterials](http://cba.mit.edu/docs/papers/22.12.Biomaterials.pdf).  

[Interlocking layers to check](https://www.cnckitchen.com/blog/brick-layers-make-3d-prints-stronger) is like brickbuilding -> much stronger.  

Design rules (check examples in [fabacademy2024](https://academy.cba.mit.edu/classes/scanning_printing/index.html)) -> there are about 9.
printing without supports should always be the goal.  

1. Angled overhangs (>20 degrees) limit the need for supports.  
2. Bridging does too.  

Important test is to measure dimension that a printer gives you versus what you designed. Typically this is much worse than machining.  

Don't make sharp edges. Always facet it.  

[nice gifs](https://fabacademy.org/2022/labs/fct/students/ricardo-marques/assignments/week06/#individual-assignment-printing) of how different 3d printering technology work.  

file sharing site to share STL files -> Sketchfab, grabcad, Thingiverse

group assignment: check the 9 rules as seen above.  

Individual assignment: small few cm3 part to design and 3D print. Should be something that cannot be machined. E.g. outershell, innershell, something within, channel within a feature, etc.  

interesting tool to do gcode generation without slicing: [fullcontrolgcode](https://fullcontrolgcode.com/tutorials) and online: [fullcontrol.xyz](https://fullcontrol.xyz/)
### 3D scanning
What starts at a scanner is a point cloud. So points in a space.  
This is not watertight so need to be fixed.  
How you light the sample and what's in the background and what's in the surface is very important.  
Meshlab -> take mesh, view mesh, do surgery on it, up- or downsample it.  

Expectation is that LIDAR will in time replace all other scanning techniques. That's because LIDAR uses direct physical properties.  

Scanning apps on phone: [https://poly.cam/](https://poly.cam/), [https://www.qlone.pro/](https://www.qlone.pro/), [https://scaniverse.com/](https://scaniverse.com/)