# lecture notes

## global review previous week
ATTiny1624 is the successor to the ATTiny44. ATMega's are obsolete (like 5 generations back). History succesion: Tiny, Mega, 1-series, 2-series, DB/DD series.  
UV Printing a solder mask is done by Fab Lab Oulu ([documentation here](https://gitlab.fabcloud.org/pub/project/uv-printed-solder-mask/-/blob/main/UVPrinterPCB.pdf?ref_type=heads)) with Mimaki green UV ink. Good for reflow oven for FR4. They have a [mimaki UJF-3042MKIIe](https://mimaki.com/product/inkjet/i-flat/ujf-3042mkII-e/).  

## this weeks lecture
The real goal of a fablab is to create a fablab... So introducting: Making a machine.    

### Mechanical design
Materials have a stress-strain relationship. Stress: what you push on it. Strain: how it reacts.  
Key constraint is that for machine building you want the stress-strain to stay linear. When above that, it'll deform or eventually break.  
Kinematic coupling: high tolerance removable mounts. E.g. 3 balls and 3 slots will be easy to mount/demount but very accurate.  
High Density Poly-ethylene is used a lot in machine building. Easy to machine.  
Garolite is similar to PCB stock. Machines beautiful and is stiff and strong. Just don't use FR4 to machine.  
Delrin isn't a great material for machinebuilding. It can be deformed too easily.  
Avoid wood when building a machine. Because it shrinks and grows due to humidity.  
Avoid adhesives because machines should possible to be disassembled.  
T-slotted rails are very common to frame machines.  
Using a string around a drum is a way for precision linear motion. More precise than Rack and pinion. You'll have to wrap it multiple times around the drum. This is called Capstan.  
In robot joints harmonic drives are common. It has a rigid outside and a flexible inside with slightly few teeth. This turns high RPM motor to low RPM high torque movement. Can be "easily" made yourself.  
couplers can be used for slight shaft misalignment.  
ball bearing: load as axial.  
thrust bearing: load is perpendicular.  
608 is a standard size of a "skateboard" bearing.  

peristaltic pump: rub wheel against a tube and move liquid that way. Easy to make and you don't have to touch the liquid.  
[Openflexure](https://openflexure.org/): open source high precision XY movement using flexures.  
Series Elastic actuators: move more smoothly by having a motor attached to a spring. The motor will now not set torque, but will set strength. This is how your muscles work.  
Most 3d printers use coreXY motion. It uses 2 motors. Both going same way: X movement. Opposite ways: Y movement.  
Chuck Hoberman is a god in mechanism design.  
The other god of mechanism design is Theo Jansen (Strandbeest).  

### Machine design (actuation and automation)
bang-bang control: just start and stop. No (de)accelleration, no feedback.  
Smooth and fast operation: PID (should have derivative and integral term). Or better: model predictive control (use a model of a machine to predict when to start and stop. Machine learning.).  
New approach on machine design: networked components. All components are in a network. No central controller required. In software you create the machine controller. This makes machines easier to adapt ("virtual" machine control). You can add components and your not limited to the inputs and outputs of a controller board.  

Urumbu: how simple can we make motor control. USB3 goes up to 1A of power. The motor controller doesn't know anything about gcode. It only knows how to do 1 step. In software, control signals are send and the speed of that defines the stepspeed. There is no information in an urumbu controller. A USB hub is the power supply. You need as many USB ports as controllers that you have.  
Modular things are expanding on that. It has a bit more "knowledge". It comes with fab-able nodes and a piece of software that is used to connect things.  
