# lecture notes

## global review previous week
LDR sensors are obsolete. Use phototransistors.  
Ultrasonic sensors like HC-SR04 are obsolete. Use Time of Flight sensor like VL53L0X.  
Electret microphones are obsolete. Use MEMS microphones.  
## this weeks lecture
sprew -> where it enters the mold  
runner -> where it enters the mold cavity  
vent -> required for air to go out  
parting line -> where the mold parts come together. Commonly aligned to a feature to make it go unnoticed.  
flashing -> if parting lines aren't connected properly.  

insert overmolding = put something in the mold and completely cast around it. Fits perfectly, is watertight.  
Vacuumforming is especially used for packaging design. Limited for how fine the features can be and sheet thickness is limited.  
blowmolding is how bottles are made.  
rotomolding: tumble the mold. It drives the material to the surface of the mold. It creates a cast that is hollow on the inside.  
die casting = molten metal.  
Investment casting: burn mold away.  

soft tooling is often a test before rigid molding. It is much more forgiving.  
As long as you can decompose in projections of faces, you can use molds.  

for flexible molding, use a whole perimeter to align the mold parts. Bumps and holes can be used on rigid molds, but for flexible molds you'd want more meat.  

Amaco Flexwax = low temperature wax. Use it to make an expression by pressing something in it. Can also be used to fix a mold.  
Machinable wax = wax that can be used to machine. Very high resolution.  
DIY machinable wax -> [link to hackaday](https://hackaday.com/2016/06/11/new-cnc-machine-diy-machinable-wax/).  

Really big molds: use rigid foam. Low resolution, but good for big things.  
Instamold is an alginate gel. This is biosafe. Good for making molds of hands and faces.  
Urethane is used a lot to make tough rubber parts and also robust molds. Good dimensional tolerance. But you cannot cast urethane in a urethane mold. Urethane needs ventilation!  
Silicone is friendlier. Sticks to almost nothing. Doesn't need special ventilation but not quite as tough as urethane. Smooth-on OOMOO is a famous one.  
OOMOO does produce some fumes that some people can be sensitive to when breathed in (nose/mucus) because it's tin cure,  recommendation is Smoothon mold star instead. oomoo's shelf life is also pretty bad in comparison to mold star (especially for once a year use of molding/casting materials as in our lab)

There is also high-temperature silicone which can be used for metal casting.  
PDMS can be used to make a mold for nano structures.  
Thermoplastics -> can be deformed vs thermoset -> will pop back to original shape.  
Calcium Sulfate can be used to cast. Smooth surface finish. With added materials you get hydro-stone. Cast very well in silicone molds.  
Metal casting: If you create an OOMOO mold and add babypowder onto it, you get better properties. It helps against bubbles and protects the mold against higher temperature. [see here](https://fabacademy.org/archives/2015/as/students/wang.tse-kang/week09.html).  
An office friendly way to cast metals (jewelry, coins): use [Cerrotru](https://boltonmetalproducts.com/collections/fusible-alloy-1/products/cerrotru-bolton-281) in an OOMOO mold with babypowder.  

Unless it says foodsafe, all these materials are not foodsafe.  

Casting is a messy business... Use rolls of paper, a big table and an environment that can get messy. But work clean!  
Make sure to test the material before pouring it into a beautiful mold. These materials have a shelftime!  
mixing: Don't trap air. Mix horontally, not vertically. Don't scoop. But sheer horizontally and scoop around the edges to prevent material to be trapped there. If you can, mix in the container first.  
Pouring: don't dump it in. Make a skinny bead and pour at the same spot.  
Now it needs time to set. But with higher temperature (low-temperature oven) it goes much faster. They usually cast better in slight higher temperatures too.  

Bubbles can get trapped in sharp features. Paint them with moldingmaterial first.  
Vacuum vs pressure: some materials work better under pressure, others better with vacuum.  

release agents: depending on combination of mold and cast material, release agents can be used. There are a lot.  

### Mold making
machining molds is slowly becoming obsolete. The other way is to 3D print. Especially SLA.  
For 2.5D machining, use ball-end mill for final milling.  
For 3D machining (XY and Z simultaneously) a flat end mill can make a good curved surface too.  

