# invention, intellectual property, and income
## Topic(s) of this week
- [invention, intellectual property, and income](http://academy.cba.mit.edu/classes/invention_IP_business/index.html) ([_video_](https://vimeo.com/830291171), _review_)
    - Develop a plan to share your work
    - Formulate future opportunities and/or development for your final project


## Assignments
### Individual assignment
- [x] Develop a plan for dissemination of your [final project](http://academy.cba.mit.edu/classes/project_development/index.html).
- [x] Prepare drafts of your summary slide (presentation.png, 1920x1080) and video clip (presentation.mp4, 1080p [HTML5](http://academy.cba.mit.edu/classes/computer_design/video.html), < ~minute, < ~10 MB) and put them in your website's root directory


Creating the Marimbatron was a FABulous ride. A great opportunity to make a musical instrument that didn't exist before. I plan to try and learn to play it, but I have no intention to make a business out of it. So that why all documentation and files are available for non-commercial, not-for-profit use. so:  
```
** This work may be reproduced, modified, distributed, performed, and
** displayed for any non-commercial, non-profit purpose, but must acknowledge
** the developer and the Marimbatron project.
** Copyright is retained and must be preserved. The work is
** provided as is; no warranty is provided, and users accept all liability.
**
** Copyright 2024 Leo Kuipers.
```

I'd love to tell the world about the Marimbatron. That's why I registered the domain name www.marimbatron.com(http://www.marimbatron.com) and redirect that to my final project documentation. Hopefully that would make it easier to find. Another thing is to tell some online music/DIY media about it. And linkedin obviously. Update: That worked quite well! The Marimbatron now has an [article on hackaday.com](https://hackaday.com/2024/06/13/marimbatron-a-digital-marimba-prototyping-project/)!  
In terms of offline communication, I'd like to get in touch with music technology teachers. This project could be a great inspiration for students to pursue creating their own instruments. I'm already making plans with my colleagues how to use the Marimbatron to tell about our Fablab. And get people in to make their own projects. 

Of course the Marimbatron is not finished. I've added a [page to my final project docs listing future spirals](../../final-project/10_future-spirals.md). Most notably, I want to change the power supply circuitry and I want to try to lower the latency even further.  

