const unsigned long intervalSensor1 = 1000;
const unsigned long intervalSensor2 = 2000;
unsigned long previousTimeSensor1 = 0;
unsigned long previousTimeSensor2 = 0;

void setup() {
  Serial.begin(9600);
}

void loop() {

  /* Updates frequently */
  unsigned long currentTime = millis();

  /* This is the event for sensor 1*/
  if (currentTime - previousTimeSensor1 >= intervalSensor1) {
    /* Event code */
    Serial.println("reading the sensor 1....");
    
   /* Update the timing for the next time around */
    previousTimeSensor1 = currentTime;
  }

  /* This is the event for sensor 2*/
  if (currentTime - previousTimeSensor2 >= intervalSensor2) {
    /* Event code */
    Serial.println("reading the sensor 2....");
    
   /* Update the timing for the next time around */
    previousTimeSensor2 = currentTime;
  }
}