/*
* initial idea:
* LAB Name: Arduino I2C Slave(Tx)
* Author: Khaled Magdy
* For More Info Visit: www.DeepBlueMbedded.com
*/
#include <Wire.h>
 
#define BTN_PIN 8
//#define LED 9

byte TxByte = 0;
 
void I2C_TxHandler(void)
{
  Wire.write(TxByte);
}

void setup() {
  pinMode(BTN_PIN, INPUT_PULLUP);
  pinMode(LED_BUILTIN, OUTPUT);  
  Wire.begin(0x55); // Initialize I2C (Slave Mode: address=0x55 )
  Wire.onRequest(I2C_TxHandler);
  Serial.begin(9600);
  Serial.println("I'm here!");
  digitalWrite(LED_BUILTIN, LOW);   // turn LED off  
}

void loop() {
  static int loop;
  loop++;
  digitalWrite(LED_BUILTIN, HIGH);  // turn LED on  
  delay(100);
  digitalWrite(LED_BUILTIN, LOW);   // turn LED off  
  delay(100);
  Serial.print((String)loop + " ");
  if (loop % 20 == 0) {
    Serial.print("\n");
  }
  byte BtnData = 0;
  BtnData |= digitalRead(BTN_PIN) << 0;
  TxByte = BtnData;
}

