/*
** This work may be reproduced, modified, distributed, performed, and 
** displayed for any non-commercial, non-profit purpose, but must acknowledge 
** the developer and the Marimbatron project. 
** Copyright is retained and must be preserved. The work is 
** provided as is; no warranty is provided, and users accept all liability.
** 
** Copyright 2024 Leo Kuipers.
*/

#include "Arduino.h" // make arduino functions available

void WS2812B_init();
void WS2812B_set_pixel(int pixel, uint8_t red, uint8_t green, uint8_t blue);
void WS2812B_clear_pixels();
void WS2812B_update();
void DMA_init();
void DMA_add_channel(int source, DmacDescriptor *descriptor);
void DMA_enable();
void DMAC_Handler();
void SPI_init();
